<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [respectForNextRecruit](./bitburner.gang.respectfornextrecruit.md)

## Gang.respectForNextRecruit() method

Check the amount of Respect needed for your next gang recruit.

**Signature:**

```typescript
respectForNextRecruit(): number;
```
**Returns:**

number

The static number value of Respect needed for the next recruit, with consideration to your current gang size. Returns `Infinity` if you have reached the gang size limit.

## Remarks

RAM cost: 1 GB

